Update of /cvsroot/devil-linux/build/scripts
In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv29687/scripts
Modified Files:
build.sh
Log Message:
make sure to replace cpu identifier on athlon systems
Index: build.sh
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/build.sh,v
retrieving revision 1.93
retrieving revision 1.94
diff -u -d -r1.93 -r1.94
--- build.sh 20 Jul 2005 18:01:54 -0000 1.93
+++ build.sh 6 Oct 2005 19:52:10 -0000 1.94
@@ -63,7 +63,7 @@
test -f /bin/uname.old || cp /bin/uname /bin/uname.old || exit 1
rm /bin/uname || exit 1
REALKERNEL=$(/bin/uname.old -r)
- echo "/bin/uname.old \$* | sed -e 's/i.86/i$CONFIG_CPU/' | sed -e 's/x86_64/i$CONFIG_CPU/' | sed -e 's/$REALKERNEL/$KERNELVERSION/'" > /bin/uname || exit 1
+ echo "/bin/uname.old \$* | sed -e 's/i.86/i$CONFIG_CPU/' | sed -e 's/x86_64/i$CONFIG_CPU/' | sed -e 's/athlon-./i$CONFIG_CPU/' | sed -e 's/athlon/i$CONFIG_CPU/' | sed -e 's/$REALKERNEL/$KERNELVERSION/'" > /bin/uname || exit 1
chmod +x /bin/uname || exit 1
test -f /bin/arch.old || cp /bin/arch /bin/arch.old || exit 1
echo "/bin/uname -m" > /bin/arch || exit 1
|